#!/usr/bin/env gnuplot -c
outputfile="../output/graph"
datafolder="../data/"

t_error=0.1#ºC
p_error=0.5#e5 Pa

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 11cm, 8cm
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$T \, (\si{\celsius})$'
set ylabel '$P \, (\SI{e5}{\pascal})$'

# Opcions per la llegenda:
set key above
set key spacing 1.5

plot datafolder."data.dat" u 1:2:(t_error):(p_error) w xyerr t "Corba d'equilibri fases líquid-vapor", \
     datafolder."puntcritic.dat" u 1:2:3:4 w xyerr t "Punt crític"

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'

replot
